package jp.hasc.hasctool.ui.views;

import jp.hasc.hasctool.core.messaging.MessageProcessor;

import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;

/**
 * CordinateViewにデータを転送するBean
 * @author hodaka
 *
 */
public class RuntimeCoordinateView extends AbstractRuntimeCoordinateView {
	private CoordinateView coView_;
	
	protected void setupView(IWorkbenchWindow window, String keyName) throws Exception {
		coView_=(CoordinateView) window.getActivePage().showView(CoordinateView.ID
				,keyName, IWorkbenchPage.VIEW_VISIBLE);
		CoordinateViewWidget coViewWidget = coView_.getCoordinateViewWidget();
		coViewWidget.setTitleName(keyName);
		coView_.getCoordinateViewWidget().setFileStreamProvider(getRuntimeContext().getFileStreamProvider());

	}
	
	public MessageProcessor getInputPort() {
		return coView_.getInputPort();
	}
}
